﻿// Copyright (c) 2020 Tudor Stanciu

using System.Threading.Tasks;
using Tuitio.PublishedLanguage.Dto;

namespace Tuitio.Wrapper.Services
{
    public interface ITuitioService
    {
        Task<AccountLoginResult> Login(string userName, string password);
        Task<AuthorizationResult> Authorize(string token);
    }
}
